/* AUTO-GENERATED FILE. DO NOT MODIFY.
 * This class was automatically generated by the
 * static binding generator from the resources it found.
 * Please do not modify by hand.
 */
package com.tns.gen.android.widget;

public class Spinner_vendor_90136_32_TNSSpinnerImpl extends android.widget.Spinner
    implements com.tns.NativeScriptHashCodeProvider {
  public Spinner_vendor_90136_32_TNSSpinnerImpl(android.content.Context param_0) {
    super(param_0);
    com.tns.Runtime.initInstance(this);
  }

  public Spinner_vendor_90136_32_TNSSpinnerImpl(android.content.Context param_0, int param_1) {
    super(param_0, param_1);
    com.tns.Runtime.initInstance(this);
  }

  public Spinner_vendor_90136_32_TNSSpinnerImpl(
      android.content.Context param_0, android.util.AttributeSet param_1) {
    super(param_0, param_1);
    com.tns.Runtime.initInstance(this);
  }

  public Spinner_vendor_90136_32_TNSSpinnerImpl(
      android.content.Context param_0, android.util.AttributeSet param_1, int param_2) {
    super(param_0, param_1, param_2);
    com.tns.Runtime.initInstance(this);
  }

  public Spinner_vendor_90136_32_TNSSpinnerImpl(
      android.content.Context param_0,
      android.util.AttributeSet param_1,
      int param_2,
      int param_3) {
    super(param_0, param_1, param_2, param_3);
    com.tns.Runtime.initInstance(this);
  }

  public Spinner_vendor_90136_32_TNSSpinnerImpl(
      android.content.Context param_0,
      android.util.AttributeSet param_1,
      int param_2,
      int param_3,
      int param_4) {
    super(param_0, param_1, param_2, param_3, param_4);
    com.tns.Runtime.initInstance(this);
  }

  public Spinner_vendor_90136_32_TNSSpinnerImpl(
      android.content.Context param_0,
      android.util.AttributeSet param_1,
      int param_2,
      int param_3,
      int param_4,
      android.content.res.Resources.Theme param_5) {
    super(param_0, param_1, param_2, param_3, param_4, param_5);
    com.tns.Runtime.initInstance(this);
  }

  public boolean performClick() {
    java.lang.Object[] args = new java.lang.Object[0];
    return (boolean) com.tns.Runtime.callJSMethod(this, "performClick", boolean.class, args);
  }

  public void onWindowFocusChanged(boolean param_0) {
    java.lang.Object[] args = new java.lang.Object[1];
    args[0] = param_0;
    com.tns.Runtime.callJSMethod(this, "onWindowFocusChanged", void.class, args);
  }

  public int hashCode__super() {
    return super.hashCode();
  }

  public boolean equals__super(java.lang.Object other) {
    return super.equals(other);
  }
}
